Installing NetBSD Current -- missing lib


#1

Starting With NetBSD 8.0

I purchased a new ASUS ROG STRIX B250G GAMING with an i5-7400 3GHZ multicore processor and 32Gig of DDR 4 RAM, sporting an Intel® HD Graphics card. I have three 2TB drives ASUS ASUS ROG STRIX B250G GAMING

My goal is to turn this behemoth into my daily driver. Right now I use my Mac mini, which I love, for my
everyday work and development. However it’s starting to feel like windows with so many thing weighing i
t down. I need something super fast and powerful to be my everyday development workstation. I also want
to able to listen to music and watch instructional YouTube videos.

I downloaded and “burned” a NetBSD-8.0-amd64 image from here. The install went smooth, but the video did not work as expected. First, as root, I issued
this command, X -config. The xinit found an intel video driver; however, when I tried to startx I was
met with an unsavory crash. I changed the driver to vesa, but got the same result.

Since this motherboard supports UEFI booting I thought I would give the NetBSD-8.0-amd64-uefi-install.i
mg.gz
a try. Install went without a hitch; however the video crashed with intel. I tried the wsfb driver, which worked, but had a max resolution of 800x600. (That is so 1990s).

Ignoring the Hints

One thing I noticed, but ignored, was when the NetBSD was booting into the installer, the screen resolution never changed. When the installer launched it was a 1980s 80x25 terminal window. The install process
went smoothly, it was just really big and blue on my 27 inch monitor. I needed something with better video
support.

Mailing List to the Rescue

While reading some of the email on the netbsd-users mailing list, a comment was made in passing that Net
BSD current (8.99.xx) had better video driver support, so I thought I would give it a shot. I downloaded
and burned the latest release (8.99.30). Immediately I noted that during the boot process the screen ch
anged resolution to something much more acceptable. Even “big blue” installer screen was a much better r
esolution. Everything was going well until I got to the “install pkgin” option. When I selected that opt
ion I was met with the following error: '/usr/pkg/bin/pkgin: Shared object "libcrypto.so.12" not found error message.' Actually, this happens after pkgin is successfully installed and tries to pull in pkg_summary.tgz. I finished out the install and rebooted

Extract from Base

Thanks to Manuel Bouyer’s timely response to my cry for help on the mail list I was able to solve this now infamous error. I downloaded base.tgz and pkg_summary.tgz files from the ftp server. I unpacked both
files; however, I could not remember where the libcrypto library was supposed to go. The answer was in the pkg_summary file.

 $ cat pkg_summary| grep -i requires | grep libcrypto.so.12 | sort -u
REQUIRES=/usr/lib/libcrypto.so.12

$ cat pkg_summary| grep -i requires | grep libssl.so.12 | sort -u
REQUIRES=/usr/lib/libssl.so.12

I simply copied usr/lib/libcrypto.so.12 to /usr/lib/libcrypto.so.12 and usr/lib/libssl.so.12 to /usr/lib /libssl.so.12 and presto, pkgin works.

Note:

The reason I knew that I needed the libssl library was because I install curl, fetch and wget with pkg_add. When I tried to use any of the three I was met with the libssl.so.12 missing error message.


#2

For pkgin you can also do after install
cd pkgsrc/pkgtools/pkgin && cvs up -rHEAD && make replace